
Showroom Mobile Banking - Enhancement #14137

(Web Only) Administration - User Role

05 August 2022 11:29 AM - Hoo Dextor

Status: Feedback Start date: 05 August 2022

Priority: Normal Due date:  

Assignee: chok yee fan % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5

Description

This Enhancement just for web portal

1. Create 1 left menu (Administration, menu might be exist, check the source code)

2. Create 1 sub-menu under Administration (User Role)

3. Search screen for module

4. Add, Modify, View and Delete for the module

*item 3 and 4 refer to SD with info below:

https://dev.silverlakemobility.com/sg/cc_iam/userProfileAttendanceModule/addUserProfileAT.htm

username: sysuser

password: abc123

After login to SD, navigate to Administration -> User Role

Only do for UI level, without WS integration, refer to Chok for the technical part.

History

#1 - 05 August 2022 03:27 PM - Hoo Dextor

- Status changed from New to Assigned

- Assignee set to Wong Mun Fung

#2 - 15 August 2022 06:18 PM - Wong Mun Fung

r218373 | wongmf | 2022-08-15 18:16:35 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch-routing.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail-routing.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.ts

mun fung : user-role-detail changes ( user role detail route can activate guard )

----------------------------------------------------------------------------

r218372 | wongmf | 2022-08-15 18:16:24 MYT

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.guard.ts

mun fung : user-role-detail changes ( user role detail route can activate guard )

----------------------------------------------------------------------------

r218369 | wongmf | 2022-08-15 17:19:31 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r
ole.service.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.reducer.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web.constants.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.selectors.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.actions.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.model.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.effects.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/delet

eUserRole.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.ts

mun fung : user-role-detail changes ( delete user role )

----------------------------------------------------------------------------

r218359 | wongmf | 2022-08-15 12:09:34 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.scss

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.ts

mun fung : user-role-detail changes ( bug fix change modify-create-detail to sl-form-footer component)

----------------------------------------------------------------------------

r218358 | wongmf | 2022-08-15 12:08:43 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web-shared.module.ts

mun fung : sl-form-footer component (added component in shared module)

----------------------------------------------------------------------------

r218357 | wongmf | 2022-08-15 12:08:24 MYT

Changed paths:

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-form-footer/sl-form-footer.

component.html

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-form-footer/sl-form-footer.

component.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-form-footer

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-form-footer/sl-form-footer.

component.ts

mun fung : sl-form-footer component

----------------------------------------------------------------------------

r218348 | wongmf | 2022-08-15 01:38:50 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/effects/sl-router.effects.ts

M
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.selectors.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web.constants.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.service.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.effects.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.reducer.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/leftMenu.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.actions.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.scss

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.model.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/actions/sl-router.actions.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/layout/ant-design-side-layout/ant-de

sign-side-layout-routing.module.ts

mun fung : (Web Only) Administration - User Role

----------------------------------------------------------------------------

r218347 | wongmf | 2022-08-15 01:38:18 MYT

Changed paths:

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/guard/dirty-form.guard.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getMl

ebUserRoleDetail.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail-routing.module.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/guard

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree/sl-tree.service.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getD

ataAccessList.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree/sl-tree.model.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree/sl-tree.scss

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getAv

ailableToUserRoleList.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/delet

eUserRole.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getFu

nctionNameList.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree/sl-tree.component.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree/sl-tree.html

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.ts

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getFu

nctionNameList2.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getOr

gDeptList.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getOr

gList.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sl-tree/sl-tree.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/addU

serRole.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/updat

eUserRole.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.html

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.scss

mun fung : (Web Only) Administration - User Role (new added file)

----------------------------------------------------------------------------

r218320 | wongmf | 2022-08-10 10:56:21 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.scss

mun fung : webshowroom user role list style adjust

----------------------------------------------------------------------------

r218318 | wongmf | 2022-08-09 22:14:19 MYT

Changed paths:

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/leftMenu.json

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/i18n/en.json

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/layout/ant-design-side-layout/ant-de

sign-side-layout-routing.module.ts

M /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/shared/sr-web.constants.ts

mun fung : (Web Only) Administration - User Role [ ws url in constants, routing ,en.json , leftmenu.json]

----------------------------------------------------------------------------

r218317 | wongmf | 2022-08-09 22:13:17 MYT

Changed paths:

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getU

serSystemList.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getU

serRoleListSearch10.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getU

serRoleListSearch.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getU

serRoleListSearch20.json

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure/getU

serRoleListSearch0.json

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/assets/data/cc_iam_ws/api/secure

mun fung : (Web Only) Administration - User Role [ user-role-search json file ]

----------------------------------------------------------------------------

r218316 | wongmf | 2022-08-09 22:12:54 MYT

Changed paths:

A
/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.model.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.module.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.html

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch-query.service.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.selectors.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.service.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.scss

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.actions.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.effects.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/state/user-r

ole.reducer.ts

A /Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.ts

A

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch-routing.module.ts

mun fung : (Web Only) Administration - User Role [ user-role-search file ]

----------------------------------------------------------------------------
#3 - 22 August 2022 09:23 AM - Wong Mun Fung

r218600 | wongmf | 2022-08-19 17:29:15 MYT

Changed paths:

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch-routing.module.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.ts

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.html

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-se

arch.component.scss

M

/Showroom/02_BaseProjects/BASE900/trunk/showroom-proj-base-i5/showroom-nx/apps/web-showroom/src/app/administration/user-role/user-role-de

tail/user-role-detail.component.scss

mun fung: some user role ui and fixes

----------------------------------------------------------------------------

#4 - 22 August 2022 09:24 AM - Wong Mun Fung

- Status changed from Assigned to Resolved

- Assignee changed from Wong Mun Fung to chok yee fan

#5 - 27 December 2022 10:58 AM - Pui Shan Lee

- Status changed from Resolved to Feedback

Issue:

•    Administration → User Role → Error (Error Occured. Status Code Undefined) → OK → Click ‘Search’ → Error (Error Occured. Status Code

Undefined) → OK → Click ‘Search’ → No result displayed

Expected:

No error window pops up
